Roll20 uses cookies to improve your experience on our site. Cookies enable you to enjoy certain features, social sharing functionality, and tailor message and display ads to your interests on our site and others. They also help us understand how our site is being used. By continuing to use our site, you consent to our use of cookies. Update your cookie preferences .
×
Advertisement Create a free account

[CSE] Potential CSS Security violation

1623374261
Finderski
Pro
Sheet Author
Compendium Curator
Working on updating a sheet for CSE and I'm getting this error message: How do I find the potential violation?  The sheet layout is fine, but no roll templates are working (and they used).  The CSS for rolltemplate is the same as for the legacy code and when I load the legacy sheet, I don't get the error message. When I exclude the roll template CSS, I still get the error message. I used a CSS validator and I'm not getting any messages that seem to help me.  I get a lot of errors for things that I must do for Roll20, so there's a lot of noise to signal (for example, it tells me I shouldn't over qualify things, but for CSE, especially, I must overqualify).  I'm wondering if there's a way to find what what potential violation is...the console isn't very helpful (at least to me):
1623387249
Finderski
Pro
Sheet Author
Compendium Curator
Issue resolved...this can be closed. Essentially, if you run into this issue, check your CSS for "eval", "script", and make sure your CSS file doesn't contain: @charset "UTF-8" NOTE: some SASS compilers seem to add the charset stuff, so it may be sneaking in unawares...